# $Revision: 1.47 $, $Date: 2002/07/25 16:18:24 $

Summary:	Portable C library for dynamically generating PDF files
Name:		PDFlib-Lite	
Version:	6.0.3
Release:	2%{?dist}
License:	Aladdin Free Public License
Group:		Libraries
Source0:	http://www.pdflib.com/pdflib/download/PDFlib-Lite-%{version}.tar.gz
NoSource:	0
Patch0:		%{name}-DESTDIR.patch
#Patch1:		%{name}-shared-libs.patch
URL:		http://www.pdflib.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libpng-devel >= 1.0.8
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 0:1.4.2-9
BuildRequires:	perl >= 5.6.1
BuildRequires:	python-devel >= 2.2
BuildRequires:  tcl-devel >= 8.4
BuildRequires:	zlib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)

%description
PDFlib is a C library for generating PDF files. It offers a graphics
API with support for drawing, text, fonts, images, and hypertext. Call
PDFlib routines from within your client program and voila: dynamic PDF
files! For detailed instructions on PDFlib programming and the
associated API, see the PDFlib Programming Manual, included in PDF
format in the PDFlib distribution.

%description -l pl
PDFlib to biblioteka w C do generowania plikw PDF. Oferuje ona API do
obsugi grafiki ze wsparciem dla rysowania, tekstw, fontw, obrazkw
oraz hipertekstu.

%package devel
Summary:	Header file for pdflib
Summary(pl):	Pliki nagwkowe dla %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
This package contains the files needed for compiling programs using
the PDF library.

%description devel -l pl
Pakiet zawiera pliki potrzebne do kompilacji programw uywajcych
biblioteki PDF.

%package perl
Summary:	Perl bindings for pdflib
Summary(pl):	Dowizania Perla do pdflib
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}
Obsoletes:	%{name}-perl5

%description perl
Perl bindings for pdflib.

%description perl -l pl
Dowizania Perla do pdflib.

%package python
Summary:	Python bindings for pdflib
Summary(pl):	Dowizania pythona dla pdflib
Group:		Development/Languages/Python
Requires:	%{name} = %{version}
Obsoletes:	%{name}-python1.5

%description python
Python bindings for pdflib.

%description python -l pl
Dowizania pythona dla pdflib.

%package tcl
Summary:	TCL bindings for pdflib
Group:		Development/Langugages/TCL
Requires:	%{name} = %{version}

%description tcl
TCL bindings for pdflib

%package static
Summary:	Static libraries for pdflib
Summary(pl):	Statyczna biblioteka pdflib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static libraries for pdflib.

%description static -l pl
Statyczna biblioteka pdflib.

%prep
%setup -q
%patch0 -p1
#%patch1 -p1

%build
%configure --disable-java
%{__make} CPPFLAGS="$CPPFLAGS" 

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install ./bind/pdflib/cpp/pdflib.hpp $RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc readme.txt doc/pdflib/{changes,compatibility,readme-source-unix}.txt
%doc doc/PDFlib-license.pdf
%attr(755,root,root) %{_libdir}/lib*.so.*

%files devel
%defattr(644,root,root,755)
%doc doc/pdflib/PDFlib-manual.pdf
%attr(755,root,root) %{_bindir}/pdflib-config
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/pdflib.h
%{_includedir}/pdflib.hpp

%files perl
%defattr(644,root,root,755)
%{_libdir}/perl5/site_perl/*/*/pdflib_pl.pm
%attr(755,root,root) %{_libdir}/perl5/site_perl/*/*/pdflib_pl.so*

%files python
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/python2.3/lib-dynload/pdflib_py.s*

%files tcl
%defattr(644,root,root,755)
/usr/share/tcl8.4/pdflib/*

%files static
%defattr(644,root,root,755)
%{_libdir}/libpdf.a
#%{_libdir}/libpdf_java.a
%{_libdir}/perl5/site_perl/*/*/pdflib_pl.*a
%{_libdir}/python2.3/lib-dynload/pdflib_py.*a

%changelog
* Wed Dec 06 2006 Matthew Hyclak <hyclak@math.ohiou.edu> 
- Added %dist tag to release

* Fri May 19 2006 Matthew Hyclak <hyclak@math.ohiou.edu> - 6.0.3
- Updated to 6.0.3
- Rebuild on CentOS 4

